package net.astah.stpa.stamp.notation.editor;

import javax.swing.ImageIcon;

import net.astah.golf.widget.CImageIcon;
import net.astah.golf.widget.swing.SwingIconRegistry;
import net.astah.golf.widget.swing.SwingImageIcon;
import net.astah.stpa.stamp.notation.STAMPEdge;
import net.astah.stpa.stamp.provider.STAMPEditPlugin;

/**
 * フィードバックリンク要素を表示するためのビューエレメントを実装するクラスです。
 */
public class STAMPFeedbackLinkViewElement extends STAMPLinkViewElement {

    public STAMPFeedbackLinkViewElement(STAMPEdge model) {
        super(model);
    }

    @Override
    protected String getCommandAction() {
        return "net.astah.stpa.stamp.ui.control.AddFeedback";
    }

    @Override
    protected CImageIcon getIcon() {
        CImageIcon image = new SwingImageIcon((ImageIcon) SwingIconRegistry.INSTANCE
                .getIcon(STAMPEditPlugin.getPlugin().getImage("full/suggest16/Feedback")));
        return image;
    }
}
