package net.astah.stpa.stamp.ui.view.proptab;

import java.awt.Component;

import javax.swing.JLabel;

import net.astah.stpa.stamp.Link;
import net.astah.stpa.stamp.ui.Messages;

/**
 * リンクのプロパティのベースタブを実装します。
 */
public class STAMPLinkBaseTab extends STAMPModelTab {

    private static final long serialVersionUID = -473519015875864186L;

    @Override
    void initPanelRows() {
        Link link = ((Link) getModel());

        // source
        Component source = new JLabel(link.getSource().getName());
        addRow(baseItemsPanel, layout, Messages.projectview_base_tab_source_label, source);

        // target
        Component target = new JLabel(link.getTarget().getName());
        addRow(baseItemsPanel, layout, Messages.projectview_base_tab_target_label, target);
    }

    @Override
    public String getTabName() {
        return Messages.projectview_base_tab_title;
    }
}
