package net.astah.stpa.stamp.ui;

import org.eclipse.osgi.util.NLS;

import net.astah.common.i18n.OverridingNLS;

/**
 * メッセージを定義するクラスです。
 */
public class Messages extends NLS {
    private static final String BUNDLE_NAME = "net.astah.stpa.stamp.ui.messages"; //$NON-NLS-1$
    public static String projectview_base_tab_title;
    public static String projectview_base_tab_name_label;
    public static String projectview_base_tab_id_label;
    public static String projectview_base_tab_description_label;
    public static String projectview_base_tab_definition_label;
    public static String projectview_base_tab_text_label;
    public static String projectview_base_tab_source_label;
    public static String projectview_base_tab_target_label;
    public static String projectview_base_tab_providing_condition_label;
    public static String projectview_base_tab_responsibility_label;
    public static String projectview_control_action_tab_title;
    public static String projectview_process_model_tab_title;
    public static String projectview_feedback_tab_title;
    public static String projectview_add_button_label;
    public static String projectview_delete_button_label;
    public static String projectview_component_control_action_tab_io;
    public static String projectview_component_control_action_tab_name;
    public static String projectview_component_control_action_tab_connectto;
    public static String projectview_component_control_action_tab_input;
    public static String projectview_component_control_action_tab_output;
    public static String projectview_component_control_action_tab_both;
    public static String stpa_table_operation_guide_message;
    public static String accident_hazard_safety_constraint_table_accident_id_label;
    public static String accident_hazard_safety_constraint_table_accident_label;
    public static String accident_hazard_safety_constraint_table_hazard_id_label;
    public static String accident_hazard_safety_constraint_table_hazard_label;
    public static String accident_hazard_safety_constraint_table_safety_constraint_id_label;
    public static String accident_hazard_safety_constraint_table_safety_constraint_label;
    public static String accident_hazard_safety_constraint_table_select_hazard_label;
    public static String accident_hazard_safety_constraint_table_select_safety_constraint_label;
    public static String precondition_table_id_label;
    public static String precondition_table_name_label;
    public static String uca_table_no_label;
    public static String uca_table_ca_label;
    public static String uca_table_ca_from_label;
    public static String uca_table_ca_to_label;
    public static String uca_table_ca_providing_condition_label;
    public static String uca_table_ca_none_warning;
    public static String uca_dialog_panel_is_uca_check_header;
    public static String uca_dialog_panel_uca_id_header;
    public static String uca_dialog_panel_text_header;
    public static String uca_dialog_panel_violating_sc_header;
    public static String uca_dialog_panel_uca_add_button;
    public static String uca_dialog_panel_non_uca_add_button;
    public static String stpa_dialog_panel_add_button;
    public static String stpa_dialog_panel_delete_button;
    public static String stpa_dialog_panel_up_button;
    public static String stpa_dialog_panel_down_button;
    public static String io_dialog_panel_io_header;
    public static String io_dialog_panel_contents_header;
    public static String io_dialog_panel_input_value;
    public static String io_dialog_panel_output_value;
    public static String io_dialog_panel_add_input_button;
    public static String io_dialog_panel_add_output_button;
    public static String select_sefety_constraint_dialog_panel_violating_sc_label;
    public static String cl_cannot_create;
    public static String nested_component_cannot_be_sorted;
    public static String hcf_table_hcf_id_label;
    public static String hcf_table_hcf_label;
    public static String hcf_table_hint_word_label;
    public static String hcf_table_hazard_scenario_label;
    public static String hcf_table_select_uca_label;
    public static String hcf_table_select_uca_description_label;
    public static String hcf_table_info_hint_word_set_label;
    public static String hcf_table_button_hint_word_label;
    public static String hcf_table_ask_change_hint_word_set_label;
    public static String create_hcf_table_confirm_no_uca;
    public static String countermeasure_table_hcf_id_label;
    public static String countermeasure_table_hcf_label;
    public static String countermeasure_table_countermeasure_id_label;
    public static String countermeasure_table_countermeasure_description_label;
    public static String countermeasure_table_uca_label;
    public static String countermeasure_table_components_label;
    public static String countermeasure_table_remark_label;
    public static String countermeasure_table_select_countermeasure_label;
    public static String countermeasure_table_hcf_none_warning;
    public static String hcf_dialog_panel_scenario_header;
    public static String hcf_dialog_panel_scenario_default_description;
    public static String create_uca_table_confirm_no_cs;
    public static String create_uca_table_confirm_many_cs;
    public static String create_uca_table_confirm_many_cs_2;
    public static String component_extracting_table_relation_diagram_label;
    public static String component_extracting_table_select_target_label;
    public static String component_extracting_table_component_label;
    public static String component_extracting_table_responsibility_label;
    public static String component_extracting_table_ca_label;
    public static String component_extracting_table_fb_label;
    public static String component_extracting_table_input_output_label;
    public static String component_extracting_table_remarks_label;
    public static String signal_dialog_panel_signal_header;
    public static String signal_dialog_panel_control_action_header;
    public static String signal_dialog_panel_feedback_header;
    public static String signal_dialog_panel_target_component_header;
    public static String process_model_compartments_label;
    public static String hcf_hintword_set_frame_header;
    public static String hcf_hintword_set_frame_ask_change_hint_word_set_label;
    public static String stamp_process_model_tab_create_process_model_label;
    public static String stamp_process_model_tab_delete_process_model_label;
    public static String stamp_process_model_tab_add_variable_label;
    public static String stamp_process_model_tab_delete_variable_label;
    public static String stamp_process_model_tab_add_value_label;
    public static String stamp_process_model_tab_delete_value_label;
    public static String AnalysisProcedureView_title;
    public static String AnalysisProcedureView_stpa_analysis_procedure_title;
    public static String AnalysisProcedureView_step_0_title;
    public static String AnalysisProcedureView_preparation_1_title;
    public static String AnalysisProcedureView_precondition_title;
    public static String AnalysisProcedureView_precondition_tooltip;
    public static String AnalysisProcedureView_accident_hazard_safety_constraint_title;
    public static String AnalysisProcedureView_accident_hazard_safety_constraint_tooltip;
    public static String AnalysisProcedureView_component_extracting_title;
    public static String AnalysisProcedureView_component_extracting_tooltip;
    public static String AnalysisProcedureView_preparation_2_title;
    public static String AnalysisProcedureView_control_structure_title;
    public static String AnalysisProcedureView_step_1_title;
    public static String AnalysisProcedureView_control_structure_tooltip;
    public static String AnalysisProcedureView_uca_title;
    public static String AnalysisProcedureView_uca_tooltip;
    public static String AnalysisProcedureView_step_2_title;
    public static String AnalysisProcedureView_hcf_title;
    public static String AnalysisProcedureView_hcf_tooltip;
    public static String AnalysisProcedureView_control_loop_diagram_title;
    public static String AnalysisProcedureView_control_loop_diagram_tooltip;
    public static String AnalysisProcedureView_hcf_diagram_title;
    public static String AnalysisProcedureView_hcf_diagram_tooltip;
    public static String AnalysisProcedureView_countermeasure_title;
    public static String AnalysisProcedureView_countermeasure_tooltip;
    public static String AnalysisProcedureView_CreateAccidentHazardSafetyConstraintCommand;
    public static String AnalysisProcedureView_CreateComponentExtractingCommand;
    public static String AnalysisProcedureView_CreateControlLoopDiagramCommand;
    public static String AnalysisProcedureView_CreateControlStructureDiagramCommand;
    public static String AnalysisProcedureView_CreateCountermeasureTableCommand;
    public static String AnalysisProcedureView_CreateHCFTableCommand;
    public static String AnalysisProcedureView_CreatePreconditionCommand;
    public static String AnalysisProcedureView_CreateUCATableCommand;
    public static String hintword_dialog_label;
    public static String hintword_dialog_top_label;
    public static String hintword_dialog_button_rename_label;
    public static String hintword_dialog_button_remove_label;
    public static String hintword_dialog_button_new_label;
    public static String hintword_dialog_button_import_label;
    public static String hintword_dialog_button_export_label;
    public static String hintword_dialog_button_add_label;
    public static String hintword_dialog_button_edit_label;
    public static String hintword_dialog_button_delete_label;
    public static String hintword_dialog_button_up_label;
    public static String hintword_dialog_button_down_label;
    public static String hintword_dialog_button_apply_label;
    public static String hintword_dialog_button_close_label;
    public static String hintword_dialog_button_ok_label;
    public static String hintword_dialog_select_locale_label;
    public static String hintword_dialog_select_pdf_label;
    public static String hintword_dialog_select_pdf_select_label;
    public static String hintword_dialog_select_pdf_preview_label;
    public static String hintword_dialog_select_hintword_label;
    public static String hintword_dialog_cannot_export;
    public static String hintword_dialog_cannot_import;
    public static String hintword_dialog_cannot_convert_pdf;
    public static String hintword_dialog_new_hintwordset_name_label;
    public static String hintword_dialog_new_hintwordset_original_label;
    public static String hintword_dialog_new_hintwordset_empty;
    public static String hintword_dialog_new_hintwordset_unique;
    public static String hintword_dialog_hintwordset_name_default_label;
    public static String hintword_dialog_hintwordset_name_built_in_label;
    public static String hintword_dialog_hintwordset_name_project_in_label;
    public static String hintword_dialog_hintwordset_remove_message;
    public static String hintword_dialog_hintword_remove_message;
    public static String all_export_excel_none_warning;
    static {
        // initialize resource bundle
        OverridingNLS.initializeMessages(BUNDLE_NAME, Messages.class, "stpa.stamp.ui");
    }

    private Messages() {
    }
}
