package net.astah.stpa.stamp.ui.view.proptab;

import java.awt.Component;

import net.astah.dd.di.DIPackage;
import net.astah.stpa.stamp.ui.Messages;

/**
 * コントロールストラクチャーのプロパティのベースタブを実装します。
 */
public class STAMPControlStructureDiagramBaseTab extends STAMPModelTab {

    private static final long serialVersionUID = 229733745928133370L;

    @Override
    void initPanelRows() {
        // name
        Component nameCelleditor = createPropertyCellEditorComponent(
                DIPackage.Literals.DIAGRAM__NAME);
        addRow(baseItemsPanel, layout, Messages.projectview_base_tab_name_label,
                nameCelleditor);
    }

    @Override
    public String getTabName() {
        return Messages.projectview_base_tab_title;
    }

}
